<?php
session_start();
if (!isset($_SESSION['user_login_status']) and $_SESSION['user_login_status'] != 1) {
    header("location: ../../login.php");
    exit;
}
/* Connect To Database*/
require_once "../db.php"; //Contiene las variables de configuracion para conectar a la base de datos
require_once "../php_conexion.php"; //Contiene funcion que conecta a la base de datos
require_once "../funciones.php";
//Inicia Control de Permisos
include "../permisos.php";
$user_id = $_SESSION['id_users'];
get_cadena($user_id);
$modulo = "Ventas";
permisos($modulo, $cadena_permisos);
//Finaliza Control de Permisos
$simbolo_moneda = get_row('perfil', 'moneda', 'id_perfil', 1);

if (isset($_GET['numero_mesa'])) {
    $numero_mesa             = mysqli_real_escape_string($conexion, (strip_tags($_REQUEST['numero_mesa'], ENT_QUOTES)));
    $_SESSION['numero_mesa'] = $numero_mesa;
    $sql_tmp                 = mysqli_query($conexion, "select * from mesas where id_mesa='$numero_mesa'");
    $rw                      = mysqli_fetch_array($sql_tmp);
	//validaciones
	if ($user_id == $rw['users_id']) {
		$hidden = 'enabled';
		$sql          = "UPDATE mesas SET status_mesa=1, users_id='$user_id' WHERE id_mesa='" . $numero_mesa . "'";
    $query_update = mysqli_query($conexion, $sql);

	}elseif ($user_id == $rw['users_id']){
		$hidden = 'enabled';
	$sql          = "UPDATE mesas SET status_mesa=1, users_id='$user_id' WHERE id_mesa='" . $numero_mesa . "'";
    $query_update = mysqli_query($conexion, $sql);
	}
	elseif ($user_id ==1 and $rw['users_id']== 0){
		$hidden = 'enabled';
		$sql          = "UPDATE mesas SET status_mesa=1, users_id='$user_id' WHERE id_mesa='" . $numero_mesa . "'";
		$query_update = mysqli_query($conexion, $sql);
	}
	elseif ($user_id ==1){
		$hidden = 'enabled';
	
	}
	elseif ($user_id !== $rw['users_id'] and $rw['users_id'] > 0){
		$hidden = 'disabled';

	}elseif ($rw['users_id'== 0]){
		$hidden = 'enabled';
		$sql          = "UPDATE mesas SET status_mesa=1, users_id='$user_id' WHERE id_mesa='" . $numero_mesa . "'";
    $query_update = mysqli_query($conexion, $sql);
} 

else{
	$hidden = 'disabled';
}
//Fin validacion de Usuario
    // check if user or email address already exists
    $sql                   = "SELECT * FROM tmp_comandas WHERE mesa_comanda ='" . $numero_mesa . "';";
    $query_check_user_name = mysqli_query($conexion, $sql);
    $query_check_user      = mysqli_num_rows($query_check_user_name);
    if ($query_check_user == true) {

    } else {
        // write new user's data into database
        $insert_tmp_comanda = mysqli_query($conexion, "INSERT INTO tmp_comandas (mesa_comanda,estado_comanda,session_id)
		VALUES ('$numero_mesa','0','$user_id')");
    }
} else {
    header("location: ../html/control_mesas.php");
    exit;
}
$query_empresa = mysqli_query($conexion, "select * from perfil, clientes where perfil.cliente_id= clientes.id_cliente  and perfil.id_perfil=1");
$row           = mysqli_fetch_array($query_empresa);
//NOMBRE DEL USUARIO DE LA CUENTA
$sql    = mysqli_query($conexion, "select usuario_users from users, mesas WHERE mesas.users_id = users.id_users AND  id_mesa  ='" . $numero_mesa . "'");
$rrw             = mysqli_fetch_array($sql);
$nom_users = $rrw['usuario_users'];
?>

<?php require 'includes/header_start.php';?>

<?php require 'includes/header_end.php';?>

<!-- Begin page -->
<div id="wrapper" class="forced enlarged"> <!-- DESACTIVA EL MENU -->

	<?php require 'includes/menu.php';?>

	<!-- ============================================================== -->
	<!-- Start right Content here -->
	<!-- ============================================================== -->
	<div class="content-page">
		<!-- Start content -->
		<div class="content">
			<div class="container">
				<?php if ($permisos_ver == 1) {
    ?>
					<div class="col-lg-12">
						<div class="portlet">
							<div class="portlet-heading bg-primary">
								<h3 class="portlet-title">
									Detalle de Mesa [ USUARIO: <?php echo $nom_users ?> ]
								</h3>
								<div class="portlet-widgets">
									<a href="javascript:;" data-toggle="reload"><i class="ion-refresh"></i></a>
									<span class="divider"></span>
									<a data-toggle="collapse" data-parent="#accordion1" href="#bg-primary"><i class="ion-minus-round"></i></a>
									<span class="divider"></span>
									<a href="#" data-toggle="remove"><i class="ion-close-round"></i></a>
								</div>
								<div class="clearfix"></div>
							</div>
							<div id="bg-primary" class="panel-collapse collapse show">
								<div class="portlet-body">
									<div class="row">
										<div class="col-lg-3">
										
											<div class="col-lg-10">
												<div class="outer_div4"></div><!-- para cancelar la mesa -->
												<div class="widget-bg-color-icon card-box">
													<div class="text-center">
														<h5 class="text-dark"><b class="counter"><?php echo $rw['nombre_mesa']; ?></b></h5>
														<button type="button" class="btn btn-primary waves-effect waves-light waves-light">
															<a href="control_mesas.php" style='text-decoration:none;color:#FFFFFF;'> <span class="fa fa-th"></span> Todas las Mesas</a>
														</button>

													</div>
													<div class="clearfix"></div>
												</div>
												<?php
include "../modal/buscar_productos_ventas.php";
    include "../modal/cobro_individual.php";
    include "../modal/cobro_general.php";
    include "../modal/cobro_general2.php";
    include "../modal/editar_prod_mesa.php";
    include "../modal/cambio_mesa.php";
    ?>
												<div class="widget-bg-color-icon card-box">
													<div class="text-center">
														<?php if ($permisos_editar == 1) {?>
															<!--<button type="button" id="imprimir2" class="btn btn-primary btn-block btn-lg waves-effect waves-light" href="#" data-toggle="modal" data-target="#cobros" onclick="obtener_cobros('<?php echo $numero_mesa; ?>');" data-toggle="tooltip" accesskey="p" style="font-size: 15px;><span class="fa fa-user"></span> Cuenta Invidual</button>
															<button type="button" id="imprimir2" class="btn btn-success btn-block btn-lg waves-effect waves-light" href="#" data-toggle="modal" data-target="#cobroGen" onclick="obtener_cobros('<?php echo $numero_mesa; ?>');" data-toggle="tooltip" title="Realizar el cobro" accesskey="p" style="font-size: 15px;><span class="fa fa-users"></span> Una sola Cuenta</button>
															<button type="button" id="imprimir3" class="btn btn-info btn-block btn-lg waves-effect waves-light" href="#" onclick="printDetalle('<?php echo $numero_mesa; ?>');" data-toggle="tooltip" title="Detalle de Cuenta" accesskey="p" style="font-size: 16px;><span class="fa fa-print"></span> Detalle de Cuenta</button>-->

															<button type="button" class="btn btn-warning btn-block btn-lg waves-effect waves-light" href="#" data-toggle="modal" data-target="#dataUpdate" data-id="<?php echo $numero_mesa; ?>" data-toggle="tooltip" title="Cambio de Mesa" accesskey="p" style="font-size: 16px;><span class="fa fa-reply-all"></span> Cambio de Mesa</button>
														<?php }
    if ($permisos_eliminar == 1) {?>
															<button type="button" id="imprimir2" class="btn btn-danger btn-block btn-lg waves-effect waves-light">
																<a href="control_mesas.php" onclick="activar_mesa('<?php echo $numero_mesa; ?>');" style='text-decoration:none;color:#FFFFFF;' style="font-size: 10px;> <span class="fa fa-trash"></span> Anular Pedido</a>
															</button>
														<?php }?>
													</div>
													<div class="clearfix"></div>
												</div>

											</div>
											<!--<div id="carga_totales" class='col-md-12' style="margin-top:10px"></div>--><!-- Carga los datos ajax -->

										</div>
										<div class="col-lg-9">
											<div class="panel panel-color panel-info">
												<div class="panel-body">
												<div class="datos_ajax_delete"></div><!-- Datos ajax Final -->
													<div id="resultados_ajaxf" class='col-md-12' style="margin-top:10px"></div><!-- Carga los datos ajax -->
													<div id="resultados_ajaxm2"></div>
													<form class="form-horizontal" role="form" id="barcode_form">
														<div class="form-group row">
															<label for="barcode_qty" class="col-md-1 control-label">CANT:</label>
															<div class="col-md-1">
																<input type="text" <?php echo $hidden ?> class="form-control" id="barcode_qty" value="1" autocomplete="off">
															</div>
															<label for="barcode_qty" class="col-md-1 control-label">CUENTA:</label>
															<div class="col-md-3">
															<div id="carga_ident"></div>
															</div>

															<label for="condiciones" class="control-label">CODIGO:</label>
															<div class="col-md-3" align="left">
																<div class="input-group">
																	<input type="text" <?php echo $hidden ?> class="form-control" id="barcode" autocomplete="off"  tabindex="1" autofocus="true" >
																	<span class="input-group-btn">
																		<button type="submit" <?php echo $hidden ?> class="btn btn-default"><span class="fa fa-barcode"></span></button>
																	</span>
																</div>
															</div>
															<div class="col-md-2">
																<button type="button" class="btn btn-primary waves-effect waves-light" data-toggle="modal" data-target="#buscar">
																	<span class="fa fa-search"></span> Buscar
																</button>
															</div>
														</div>
													</form>

													<div id="resultados" class='col-md-12' style="margin-top:10px"></div><!-- Carga los datos ajax -->

												</div>
											</div>
										</div>
									</div>

								</div>
							</div>
						</div>
					</div>
					<?php
} else {
    ?>
					<section class="content">
						<div class="alert alert-danger" align="center">
							<h3>Acceso denegado! </h3>
							<p>No cuentas con los permisos necesario para acceder a este módulo.</p>
						</div>
					</section>
					<?php
}
?>

			</div>
			<!-- end container -->
		</div>
		<!-- end content -->

		<?php require 'includes/pie.php';?>

	</div>
	<!-- ============================================================== -->
	<!-- End Right content here -->
	<!-- ============================================================== -->


</div>
<!-- END wrapper -->

<?php require 'includes/footer_start.php'
?>
<!-- ============================================================== -->
<!-- Todo el codigo js aqui -->
<!-- ============================================================== -->
<script type="text/javascript" src="../../js/detalle_mesa.js"></script>
<script type="text/javascript" src="../../js/VentanaCentrada.js"></script>
<!-- Codigos Para el Auto complete de Clientes -->
<script>
	$(function() {
		$("#nombre_cliente").autocomplete({
			source: "../ajax/autocomplete/clientes.php",
			minLength: 2,
			appendTo: "#cobros",
			select: function(event, ui) {
				event.preventDefault();
				$('#id_cliente').val(ui.item.id_cliente);
				$('#nombre_cliente').val(ui.item.nombre_cliente);
				$('#tel1').val(ui.item.fiscal_cliente);
				$.Notification.notify('custom','bottom center','EXITO!', 'CLIENTE AGREGADO CORRECTAMENTE')
			}
		});
	});

	$("#nombre_cliente" ).on( "keydown", function( event ) {
		if (event.keyCode== $.ui.keyCode.LEFT || event.keyCode== $.ui.keyCode.RIGHT || event.keyCode== $.ui.keyCode.UP || event.keyCode== $.ui.keyCode.DOWN || event.keyCode== $.ui.keyCode.DELETE || event.keyCode== $.ui.keyCode.BACKSPACE )
		{
			$("#id_cliente" ).val("");
			$("#tel1" ).val("");
		}
		if (event.keyCode==$.ui.keyCode.DELETE){
			$("#nombre_cliente" ).val("");
			$("#id_cliente" ).val("");
			$("#tel1" ).val("");
		}
	});
	
</script>
<!-- FIN -->
<!-- Codigos Para el Auto complete de Clientes -->
<script>
	$(function() {
		$("#nombre_cliente2").autocomplete({
			source: "../ajax/autocomplete/clientes.php",
			minLength: 2,
			appendTo: "#cobroGen",
			select: function(event, ui) {
				event.preventDefault();
				$('#id_cliente2').val(ui.item.id_cliente);
				$('#nombre_cliente2').val(ui.item.nombre_cliente);
				$('#tel1').val(ui.item.fiscal_cliente);
				$.Notification.notify('custom','bottom center','EXITO!', 'CLIENTE AGREGADO CORRECTAMENTE')
			}
		});
	});

	$("#nombre_cliente2" ).on( "keydown", function( event ) {
		if (event.keyCode== $.ui.keyCode.LEFT || event.keyCode== $.ui.keyCode.RIGHT || event.keyCode== $.ui.keyCode.UP || event.keyCode== $.ui.keyCode.DOWN || event.keyCode== $.ui.keyCode.DELETE || event.keyCode== $.ui.keyCode.BACKSPACE )
		{
			$("#id_cliente2" ).val("");
			$("#tel1" ).val("");
		}
		if (event.keyCode==$.ui.keyCode.DELETE){
			$("#nombre_cliente2" ).val("");
			$("#id_cliente2" ).val("");
			$("#tel1" ).val("");
		}
	});
</script>
<!-- FIN -->
<script>
// print order function
function printOrder(id_factura) {
	if (id_factura) {
		$('#modal_vuelto').modal('hide');//CIERRA LA MODAL
		$.ajax({
			url: '../pdf/documentos/imprimir_venta.php',
			type: 'post',
			data: {
				id_factura: id_factura
			},
			dataType: 'text',
			success: function(response) {
				var mywindow = window.open('', 'Stock Management System', 'height=400,width=600');
				mywindow.document.write('<html><head><title>Facturación</title>');
				mywindow.document.write('</head><body>');
				mywindow.document.write(response);
				mywindow.document.write('</body></html>');
                mywindow.document.close(); // necessary for IE >= 10
                mywindow.focus(); // necessary for IE >= 10
                mywindow.print();
                mywindow.close();
				window.location.href = '../html/control_mesas.php';
            } // /success function

        }); // /ajax function to fetch the printable order
    } // /if orderId
} // /print order function
// print order function
function confirmPrint(factura_id, identificativo) {
    if (factura_id) {
        $('#modal_vuelto').modal('hide'); // CIERRA LA MODAL
        $('#cobroGen2').modal('hide'); // CIERRA LA MODAL
        $.ajax({
            url: '../pdf/documentos/imprimir_venta4.php',
            type: 'post',
            data: {
                id_factura: factura_id,
                identificativo: identificativo
            },
            dataType: 'text',
            success: function(response) {
                var mywindow = window.open('', 'Stock Management System', 'height=400,width=600');
                mywindow.document.write('<html><head><title>Facturación</title>');
                mywindow.document.write('</head><body>');
                mywindow.document.write(response);
                mywindow.document.write('</body></html>');
                mywindow.document.close(); // necessary for IE >= 10
                mywindow.focus(); // necessary for IE >= 10
                mywindow.print();
                mywindow.close();
                //window.location.href = '../html/control_mesas.php';
            } // /success function

        }); // /ajax function to fetch the printable order
    } // /if orderId
} // /print order function

function confirmPrint2(numero_mesa, identificativoSeleccionado) {
    if (numero_mesa) {
        $.ajax({
            url: '../pdf/documentos/imprimir_detalle4.php',
            type: 'post',
            data: {
                numero_mesa: numero_mesa,
                identificativoSeleccionado: identificativoSeleccionado
            },
            dataType: 'text',
            success: function(response) {
                var mywindow = window.open('', 'Stock Management System', 'height=400,width=600');
                mywindow.document.write('<html><head><title>Facturación</title>');
                mywindow.document.write('</head><body>');
                mywindow.document.write(response);
                mywindow.document.write('</body></html>');
                mywindow.document.close(); // necessary for IE >= 10
                mywindow.focus(); // necessary for IE >= 10
                mywindow.print();
                mywindow.close();
                //window.location.href = '../html/control_mesas.php';
            } // /success function

        }); // /ajax function to fetch the printable order
    } // /if orderId
} // /print order function

function printOrder2(id_factura) {
	if (id_factura) {
		$('#modal_vuelto').modal('hide');//CIERRA LA MODAL
		$.ajax({
			url: '../pdf/documentos/imprimir_venta.php',
			type: 'post',
			data: {
				id_factura: id_factura
			},
			dataType: 'text',
			success: function(response) {
				var mywindow = window.open('', 'Stock Management System', 'height=400,width=600');
				mywindow.document.write('<html><head><title>Facturación</title>');
				mywindow.document.write('</head><body>');
				mywindow.document.write(response);
				mywindow.document.write('</body></html>');
                mywindow.document.close(); // necessary for IE >= 10
                mywindow.focus(); // necessary for IE >= 10
                mywindow.print();
                mywindow.close();
				//window.location.href = '../html/control_mesas.php';
            } // /success function

        }); // /ajax function to fetch the printable order
    } // /if orderId
} // /print order function
</script>
<script>
// print order function
function printDetalle(id_factura) {
	$('#modal_vuelto').modal('hide');//CIERRA LA MODAL
	if (id_factura) {
		$.ajax({
			url: '../pdf/documentos/imprimir_detalle.php',
			type: 'post',
			data: {
				id_factura: id_factura
			},
			dataType: 'text',
			success: function(response) {
				var mywindow = window.open('', 'Stock Management System', 'height=400,width=600');
				mywindow.document.write('<html><head><title>Facturación</title>');
				mywindow.document.write('</head><body>');
				mywindow.document.write(response);
				mywindow.document.write('</body></html>');
                mywindow.document.close(); // necessary for IE >= 10
                mywindow.focus(); // necessary for IE >= 10
                mywindow.print();
                mywindow.close();
            } // /success function

        }); // /ajax function to fetch the printable order
    } // /if orderId
} // /print order function
</script>
<script>
// print order function
function printFactura(id_factura) {
	$('#modal_vuelto').modal('hide');
	if (id_factura) {
		$.ajax({
			url: '../pdf/documentos/imprimir_factura_venta.php',
			type: 'post',
			data: {
				id_factura: id_factura
			},
			dataType: 'text',
			success: function(response) {
				var mywindow = window.open('', 'Stock Management System', 'height=400,width=600');
				mywindow.document.write('<html><head><title>Facturación</title>');
				mywindow.document.write('</head><body>');
				mywindow.document.write(response);
				mywindow.document.write('</body></html>');
                mywindow.document.close(); // necessary for IE >= 10
                mywindow.focus(); // necessary for IE >= 10
                mywindow.print();
                mywindow.close();
            } // /success function

        }); // /ajax function to fetch the printable order
    } // /if orderId
} // /print order function
</script>
<script>
	$(document).ready( function () {
		$(".UpperCase").on("keypress", function () {
			$input=$(this);
			setTimeout(function () {
				$input.val($input.val().toUpperCase());
			},50);
		})
	})
</script>
<script>
	function reporte() {
		var daterange = $("#range").val();
		var tipo = $("#tipo").val();
		VentanaCentrada('../pdf/documentos/rep_cxc.php?daterange=' + daterange, 'Reporte', '', '800', '600', 'true');
	}
</script>
<script>
	function imprimir_abono(id_abono) {
		VentanaCentrada('../pdf/documentos/rep_abono.php?id_abono=' + id_abono, 'Reporte', '', '800', '600', 'true');
	}
</script>
<script>
	function activar_mesa(numero_mesa) {
    // Mostrar una alerta de confirmación
    var confirmacion = confirm("¿Estás seguro de que deseas anular el pedido y activar la mesa " + numero_mesa + "?");
    
    // Si el usuario confirma la acción, cargar la URL para activar la mesa
    if (confirmacion) {
        $(".outer_div4").load("../ajax/cancelar_mesa.php?numero_mesa=" + numero_mesa);
    } else {
        // Si el usuario cancela, no hacer nada
        // Puedes agregar aquí algún código adicional si lo deseas
    }
}

	function cobro(identificativoSeleccionado)
	{

		$("#totalg2").load("../ajax/carga_total4.php?identificativoSeleccionado=" + identificativoSeleccionado);

	}
	


</script>
<script>
	function obtener_cobros(numero_mesa) {
		$(".outer_cobros").load("../modal/cobros.php?numero_mesa=" + numero_mesa);
	}
</script>
<script>
	function showDiv(select){
		if(select.value==4){
			$("#resultados3").load("../ajax/carga_prima.php");
		} else{
			$("#resultados3").load("../ajax/carga_resibido.php");
		}
	}
</script>
<?php require 'includes/footer_end.php'
?>